import { NativeModules } from 'react-native';


type InaiCheckoutType = {
    presentCheckout(config: Object): Promise<Object>;

    addPaymentMethod(config: Object, paymentMethodType: String): Promise<Object>;
    
    makePayment(config: Object, paymentMethodOption: String, paymentDetails: Object): Promise<Object>;

    payWithPaymentMethod(config: Object, paymentMethodId: String): Promise<Object>;

    validateFields(config: Object, paymentMethodOption: String, paymentDetails: Object): Promise<Object>;

    getCardInfo(config: Object, cardNumber: String): Promise<Object>;

    initGooglePay(paymentDetails: Object): Promise<Object>;

    launchGooglePay(config: Object): Promise<Object>;

    getApplePayRequestData(paymentMethodOptionsData: Object): Promise<Object>;

    payWithApplePay(config: Object, paymentRequestData: Object): Promise<Object>;

    getInstallmentPlans(config: Object, paymentMethodOption: String,paymentDetails: Object):Promise<Object>;

    setupApplePay();
}

const { InaiCheckout } = NativeModules;

export default InaiCheckout as InaiCheckoutType;
