#import <React/RCTBridgeModule.h>

@interface RCT_EXTERN_MODULE(RNInaiSdk, NSObject)

RCT_EXTERN_METHOD(presentCheckout:(NSDictionary *)config)

RCT_EXTERN_METHOD(addPaymentMethod:(NSDictionary *)config
                  paymentMethodType:(NSString *)paymentMethodType)

RCT_EXTERN_METHOD(payWithPaymentMethod:(NSDictionary *)config
                  paymentMethodId:(NSString *)paymentMethodId)
                  

RCT_EXTERN_METHOD(makePayment:(NSDictionary *)config railCode:(NSString *)railCode
                  paymentDetails:(NSDictionary *)paymentDetails)
                  
RCT_EXTERN_METHOD(validateFields:(NSDictionary *)config paymentMethodOption:(NSString *)paymentMethodOption
                  paymentDetails:(NSDictionary *)paymentDetails)

RCT_EXTERN_METHOD(getCardInfo:(NSDictionary *)config cardNumber:(NSString *)cardNumber)
                  
RCT_EXTERN_METHOD(getApplePayRequestData: (NSDictionary*)paymentMethodOptionsData)
                  
RCT_EXTERN_METHOD(payWithApplePay:
                  (NSDictionary*)config
                  withApplePaymentRequestData:(NSDictionary*)paymentRequestData)
                  
RCT_EXTERN_METHOD(setupApplePay)

RCT_EXTERN_METHOD(getInstallmentPlans:(NSDictionary *)config paymentMethodOption:(NSString *)paymentMethodOption paymentDetails:(NSDictionary *)paymentDetails)

@end
